---
id: nortorrent
replaces:
  - torrent9clone
  - torrent9-tel
name: NorTorrent
description: "NorTorrent is a FRENCH Public tracker for MOVIES / TV / GENERAL"
language: fr-FR
type: public
encoding: UTF-8
# to fetch current domain use https://www.rantop.org/
links:
  - https://www.torrent9.ml/
legacylinks:
  # latest domains list
  - https://www.rantop.xyz/
  - https://www.site-torrent.cc/
  - https://www.torrent-site.cc/
  - https://www.torrent-p2p.cc/
  # domain lists no longer working
  - https://www.protege-torrent.com/
  - https://www.torrent.ws/
  - https://www.protege-liens.com/
  - https://www.protege-liens.net/
  - https://www.torrent.onl/
  - https://torrent9.news/
  - https://www.site-torrent.com/
  - https://www.rantop.my/
  - https://www.torrent-site.com/
  - https://www.rantop.org/
  # actual legacylinks
  - https://www.nortorrent6.com/
  - https://www.nortorrent.net/
  - https://www.nortorrent.town/
  - https://nortorrent-proxy.site/
  - https://ww1-nortorrent.me/
  - https://www.nortorrent.rent/
  - https://ww1-nortorrent.town/
  - https://www.nortorrent7.com/
  - https://www.nortorrent8.com/
  - https://ww1-nortorrent.com/
  - https://www-nortorrent.com/
  - https://ww2-nortorrent.com/
  - https://ww3-nortorrent.com/
  - https://www.nortorrent.org/
  - https://www.nortorrent.cc/

caps:
  categorymappings:
    - {id: Films, cat: Movies, desc: "Movies"}
    - {id: Animes, cat: TV/Anime, desc: "Anime"}
    - {id: Documentaires, cat: TV/Documentary, desc: "Documentaires"}
    - {id: Séries, cat: TV, desc: "TV"}
    - {id: Musiques, cat: Audio, desc: "Music"}
    - {id: Ebooks, cat: Books, desc: "Books"}
    - {id: Livres, cat: Books, desc: "Livres"}
    - {id: Logiciels, cat: PC, desc: "Software"}
    - {id: Applications, cat: PC, desc: "Applications"}
    - {id: Jeux-PC, cat: PC/Games, desc: "PC Games"}
    - {id: Jeux-Consoles, cat: Console/XBox 360, desc: "Console Games"}
    - {id: Porno, cat: XXX, desc: "Porno"}
    - {id: Spectacles, cat: TV/Other, desc: "Spectacles"}
    - {id: Sports, cat: TV/Sport, desc: "Sports"}
    - {id: Formations, cat: Other, desc: "Formations"}
    - {id: Vidéos, cat: TV, desc: "Vidéos"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]
  allowrawsearch: true

settings:
  - name: info_flaresolverr
    type: info_flaresolverr
  - name: multilang
    type: checkbox
    label: Replace MULTi by another language in release name
    default: false
  - name: multilanguage
    type: select
    label: Replace MULTi by this language
    default: FRENCH
    options:
      FRENCH: FRENCH
      MULTi FRENCH: MULTi FRENCH
      ENGLISH: ENGLISH
      MULTi ENGLISH: MULTi ENGLISH
      VOSTFR: VOSTFR
      MULTi VOSTFR: MULTi VOSTFR
  - name: vostfr
    type: checkbox
    label: Replace VOSTFR and SUBFRENCH with ENGLISH
    default: false

download:
  selectors:
    - selector: a[href^="/get_torrents/"]
      attribute: href

search:
  paths:
    - path: "{{ if .Keywords }}recherche/{{ .Keywords }}{{ else }}derniers{{ end }}"
  keywordsfilters:
    # if searching for season packs swith S01 to saison 1 #9712
    - name: re_replace
      args: ["(?i)(S0)(\\d{1,2})$", "saison $2"]
    - name: re_replace
      args: ["(?i)(S)(\\d{1,3})$", "saison $2"]

  rows:
    selector: table.table-striped > tbody > tr

  fields:
    category:
      selector: td:nth-child(1) i
      attribute: class
    title_phase1:
      selector: td:nth-child(1) a
      filters:
        - name: re_replace
          args: ["(?i)\\b(FRENCH|MULTI|TRUEFRENCH|VOSTFR|SUBFRENCH)\\b(.+?)(\\b((19|20)\\d{2})\\b)$", "$3 $1$2"]
    title_vostfr:
      text: "{{ .Result.title_phase1 }}"
      filters:
        - name: re_replace
          args: ["(?i)\\b(vostfr|subfrench)\\b", "ENGLISH"]
    title_phase2:
      text: "{{ if .Config.vostfr }}{{ .Result.title_vostfr }}{{ else }}{{ .Result.title_phase1 }}{{ end }}"
    title_multilang:
      text: "{{ .Result.title_phase2 }}"
      filters:
        - name: re_replace
          args: ["(?i)\\b(MULTI(?!.*(?:FRENCH|ENGLISH|VOSTFR)))\\b", "{{ .Config.multilanguage }}"]
    title:
      text: "{{ if .Config.multilang }}{{ .Result.title_multilang }}{{ else }}{{ .Result.title_phase2 }}{{ end }}"
    details_href:
      selector: td:nth-child(1) a[href]
      attribute: href
      optional: true
      filters:
        - name: regexp
          args: (/?detail/\d+)
    details_onclick:
      selector: td:nth-child(1) a[onclick]
      attribute: onclick
      optional: true
      filters:
        - name: regexp
          args: (/?detail/\d+)
    details:
      text: "{{ or .Result.details_href .Result.details_onclick }}"
    download:
      text: "{{ .Result.details }}"
    date:
      text: now
    size:
      selector: td:nth-child(2)
    seeders:
      selector: td:nth-child(3)
      optional: true
      default: 0
    leechers:
      selector: td:nth-child(4)
      optional: true
      default: 0
    downloadvolumefactor:
      text: 0
    uploadvolumefactor:
      text: 1
# engine n/a
